curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-poshmark-items-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-poshmark-items-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-poshmark-items-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "poshmark_items_search",
"query": "",
"domain": "poshmark.com",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Poshmark items search\n\n- **Query:** (none)\n- **Domain:** poshmark.com\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.32 MB\n- **Total matching on site:** 5000",
"machine": {
"total_items": 2,
"first_item": {
"@type": "PoshmarkListing",
"id": "6aaaa5f28cafcc76299bcb4d",
"url": "https://poshmark.com/listing/6aaaa5f28cafcc76299bcb4d",
"title": "New Condition Sterling Silver Turquoise Leaf Ring Size 6 J16",
"description": "Welcome to Midwest Treasures KC!\n\nSilver prices are exploding, as well as tariffs, which is raising prices every day. Don't wait! These items will be more money tomorrow and beyond.\n\nWe do not respond",
"brand": null,
"brand_id": null,
"price": {
"@type": "PoshmarkPrice",
"amount": 48,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": "uln",
"size": "OS",
"size_system": "us",
"colors": [
{
"name": "Blue",
"rgb": "#137fc1"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "00288975d97b4e80ef00a955",
"display": "Jewelry",
"slug": "Jewelry"
},
"subcategories": [
{
"id": "011a9287d97b4e80ef00a955",
"display": "Rings",
"slug": "Rings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/09/16/6aaaa5f28cafcc76299bcb4d/m_6aaaa5f3c9ddecfdb8c8c5a0.jpg",
"images": [
"https://di2ponv0v5otw.cloudfront.net/posts/2026/09/16/6aaaa5f28cafcc76299bcb4d/m_6aaaa5f31b53fee6d95aa8fe.jpg",
"https://di2ponv0v5otw.cloudfront.net/posts/2026/09/16/6aaaa5f28cafcc76299bcb4d/m_6aaaa5f38974d0e90591be0c.jpg"
],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 8,
"like_count": 9,
"comment_count": 0,
"has_offer": true,
"created_at": 1789568498,
"first_published_at": 1789568500,
"updated_at": 1790556693,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "659d66d89b37c7cf9a2475a7",
"alias": "joemiles72",
"display_handle": "joemiles72",
"full_name": "Joe Miles",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg"
}
},
"items": [
{
"@type": "PoshmarkListing",
"id": "6aaaa5f28cafcc76299bcb4d",
"url": "https://poshmark.com/listing/6aaaa5f28cafcc76299bcb4d",
"title": "New Condition Sterling Silver Turquoise Leaf Ring Size 6 J16",
"description": "Welcome to Midwest Treasures KC!\n\nSilver prices are exploding, as well as tariffs, which is raising prices every day. Don't wait! These items will be more money tomorrow and beyond.\n\nWe do not respond",
"brand": null,
"brand_id": null,
"price": {
"@type": "PoshmarkPrice",
"amount": 48,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": "uln",
"size": "OS",
"size_system": "us",
"colors": [
{
"name": "Blue",
"rgb": "#137fc1"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "00288975d97b4e80ef00a955",
"display": "Jewelry",
"slug": "Jewelry"
},
"subcategories": [
{
"id": "011a9287d97b4e80ef00a955",
"display": "Rings",
"slug": "Rings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/09/16/6aaaa5f28cafcc76299bcb4d/m_6aaaa5f3c9ddecfdb8c8c5a0.jpg",
"images": [
"https://di2ponv0v5otw.cloudfront.net/posts/2026/09/16/6aaaa5f28cafcc76299bcb4d/m_6aaaa5f31b53fee6d95aa8fe.jpg",
"https://di2ponv0v5otw.cloudfront.net/posts/2026/09/16/6aaaa5f28cafcc76299bcb4d/m_6aaaa5f38974d0e90591be0c.jpg"
],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 8,
"like_count": 9,
"comment_count": 0,
"has_offer": true,
"created_at": 1789568498,
"first_published_at": 1789568500,
"updated_at": 1790556693,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "659d66d89b37c7cf9a2475a7",
"alias": "joemiles72",
"display_handle": "joemiles72",
"full_name": "Joe Miles",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg"
}
},
{
"@type": "PoshmarkListing",
"id": "6a4b5763ac1f765c93cbef47",
"url": "https://poshmark.com/listing/6a4b5763ac1f765c93cbef47",
"title": "Silver Iris Glass Teardrop Earrings",
"description": "These earrings are made with faceted silver iris glass teardrop-shaped beads adorned with silver filigree bead caps. \n\nHung from silver French ear wires.\n\n2\" long.",
"brand": "Hand Crafted",
"brand_id": "5e682bf046b73fa934ea68d1",
"price": {
"@type": "PoshmarkPrice",
"amount": 16,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": {
"@type": "PoshmarkPrice",
"amount": 30,
"currency": "USD",
"currency_symbol": "$"
},
"condition": "nwt",
"size": "OS",
"size_system": "us",
"colors": [
{
"name": "Gray",
"rgb": "#929292"
},
{
"name": "Silver",
"rgb": "#e9ebec"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "00288975d97b4e80ef00a955",
"display": "Jewelry",
"slug": "Jewelry"
},
"subcategories": [
{
"id": "01169287d97b4e80ef00a955",
"display": "Earrings",
"slug": "Earrings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/07/06/6a4b5763ac1f765c93cbef47/m_6a4b576aff353a0ce20929f1.jpeg",
"images": [],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 25,
"like_count": 1,
"comment_count": 0,
"has_offer": false,
"created_at": 1783322467,
"first_published_at": 1783322476,
"updated_at": 1790715969,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "5a7de6bfa978052a7b95ba30",
"alias": "zuzuspetalsnc",
"display_handle": "zuzuspetalsnc",
"full_name": "🍄yvonne’s🦄closet🌸 Stewart",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2026/03/23/8/t_69c15eb052714f3325cdcb7c.jpg"
}
}
],
"not_found": false,
"total_results": 5000,
"unrecognized_filters": [],
"proxy_traffic_bytes": 1385344
},
"total_points": 2
}Poshmark items search
Search live Poshmark listings by keyword with department, category, brand, size, color, price, condition, shipping, availability and sort filters. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Search term (optional). e.g. nike shoes
Domain. Options: poshmark.com = poshmark.com, poshmark.ca = poshmark.ca
poshmark.com, poshmark.ca Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Sort by. Options: relevance = Relevance, just_in = Just in, price_low_to_high = Price: low to high, price_high_to_low = Price: high to low
relevance, just_in, price_low_to_high, price_high_to_low Availability. Options: all = All, available = Available, available_and_dropping_soon = Available and dropping soon, dropping_soon = Dropping soon, sold = Sold, not_for_sale = Not for sale
all, available, available_and_dropping_soon, dropping_soon, sold, not_for_sale Department. Options: Women = Women, Men = Men, Kids = Kids, Home = Home, Electronics = Electronics, Pets = Pets, Beauty & Wellness = Beauty & Wellness
Women, Men, Kids, Home, Electronics, Pets, Beauty & Wellness Condition. Options: all = All conditions, nwt = New with tags (NWT)
all, nwt Category. e.g. e.g. Shoes, Dresses, Bags
Subcategory. e.g. e.g. Athletic Shoes, Sneakers
Brand. e.g. e.g. Nike, Coach
Sizes (comma separated). e.g. e.g. 8, M
Min price
x >= 0Max price
x >= 0Shipping. Options: free = Free shipping, discounted = Discounted shipping
free, discounted Colors
Red, Pink, Orange, Yellow, Green, Blue, Purple, Gold, Silver, Black, Gray, White, Cream, Brown, Tan Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.